• 카테고리

    질문 & 답변
  • 세부 분야

    보안

  • 해결 여부

    미해결

pfsense snort 패키지 설치 에러

24.03.27 12:38 작성 조회수 134

0

설정주신 방법으로 설정 후 pfsense에서 snort 설치 후 실행하면 아래와 같이 서비스 실행이 안되는 현상이 발생되고 있습니다.

 

재부팅 및 파일 삭제 후 재 설치해도 동일 현상발생합니다.

Snort 버전: 4.1.6_17

 

 

01.png02.png

답변 2

·

답변을 작성해보세요.

0

최성은님의 프로필

최성은

2024.05.12

문제 : snort 실행 안됨 - pfsense libcrypto.so.30 파일이 없기 때문

해결방안 : /lib에 있는 libcrypto.so.111 -> libcrypto.so.30으로 복사 후 reboot

참고 자료 : https://forums.freebsd.org/threads/shared-object-libcrypto-so-7-not-found.50488/

저는 이렇게 하니깐 해결됐네요

0

제가 몇주전에 강의할때에도 문제가 없었는데. 다시 설치해서 확인해봐야겠네요. 혹시 pfsense 최신 버전으로 업데이트 해보시기 다시 설치 부탁드립니다

최성은님의 프로필

최성은

2024.05.12

저도 똑같은 현상이 발생합니다. snort랑 squid 모두 전부 실행이 안됩니다. pfsense를 최신버전으로 업데이트 해도 불가합니다